CR-7 R.A.P.L.E.R engine: Staging issue
05/30/2016 07:07 AM - impactcraterdesigner

Status: Not a Bug Start date: 05/30/2016
Severity: Low % Done: 0%
Assignee:

Category: Parts

Target version:

Version: Not Applicable Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

I've designed several rockets using these RAPIER engines, and on several flights when the air-breathing stops due to lack of
atmosphere, the engine is spent - activating the next rocket stage, instead of continuing with closed-cycle propulsion using the
remaining fuel of that stage.

Can anybody else confirm this?

Ubuntu 16.04 LTS, KSP 1.0.5 or 1.1.2 64-bit (I'm not sure, as I've played with both very often during the past days), using MechJeb2
with Ascent Guidance.

Related issues:
Related to Kerbal Space Program - Bug #18704: R.A.P.1.E.R. Mode changes on st... Not a Bug 04/27/2018

History

#1 - 07/17/2016 09:56 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/20/2016 12:46 AM - Perry_Apsis

| tried reproducing this with a mk1 command pod with an air intake on top (I tried shock cone and small circular), an FL-T400 with half of the oxidizer
removed, and a R.A.P..LE.R. The behavior seemed perfectly normal. The engine switched over to closed cycle when | hit the edge of the atmosphere.

Part of your description made me wonder if you are using Mechdeb or some other mod that does auto-staging. If so, then this is probably an issue
with the mod thinking that the engine is truly out of fuel and triggering the next stage. In that case, you should raise it with the mod developer.

If I'm mistaken about the mod, can you clarify what you meant by activating the next rocket stage?
Thanks!

#3 - 07/20/2016 12:53 AM - Perry_Apsis

Okay, after writing a long response | finally correctly read your post. It sounds like this is an issue you should bring up with Sarbian, the dev for
MechJeb. It certainly sounds like MechJeb is not understanding that the engine has enough oxidizer, and is about to switch to closed-cycle. Since it
only happens sometimes, it sounds like a race condition, where if the R.A.P.I.LE.R. gets the out-of-oxidizer message first, it switches modes, but if
Mechdeb gets it, it stages.

#4 - 04/27/2018 11:43 AM - Squelch

- Status changed from Needs Clarification to Not a Bug

This does appear to be mod related, so it will be closed as not a bug. A fuller answer on mode switch use can be found in #18704

#5 - 04/27/2018 11:44 AM - Squelch
- Related to Bug #18704: R.A.P.I.E.R. Mode changes on staging when in space above Kerbin added
